run_title: ''

training_model:
  kind: default
  visualize_each_iters: 1000
  concat_mask: True
  store_discr_outputs_for_vis: True

losses:
  l1:
    weight_missing: 0
    weight_known: 10
  perceptual:
    weight: 0
  adversarial:
    kind: r1
    weight: 10
    gp_coef: 0.001
    mask_as_fake_target: True
    allow_scale_mask: True
  feature_matching:
    weight: 0
  resnet_pl:
    weight: 30
    weights_path: ${env:TORCH_HOME}

defaults:
  - location: mlp-mow-final
  - data: abl-04-256-mh-dist
  - generator: pix2pixhd_global_sigmoid
  - discriminator: pix2pixhd_nlayer
  - optimizers: default_optimizers
  - visualizer: directory
  - evaluator: default_inpainted
  - trainer: any_gpu_large_ssim_ddp_final
  - hydra: overrides
